2020-05-01 21:57:09

by Siddharth Gupta

[permalink] [raw]
Subject: [PATCH] scripts: headers_install: Exit with error on config leak

Misuse of CONFIG_* in UAPI headers should result in an error as it exposes
configuration of different targets to userspace.

Signed-off-by: Siddharth Gupta <[email protected]>
---
scripts/headers_install.sh | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/headers_install.sh b/scripts/headers_install.sh
index a07668a..bd6c93a 100755
--- a/scripts/headers_install.sh
+++ b/scripts/headers_install.sh
@@ -109,7 +109,8 @@ do
done

if [ "$warn" = 1 ]; then
- echo "warning: $INFILE: leak $c to user-space" >&2
+ echo "error: $INFILE: leak $c to user-space" >&2
+ exit 1
fi
done

--
Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project


2020-05-02 15:06:30

by Masahiro Yamada

[permalink] [raw]
Subject: Re: [PATCH] scripts: headers_install: Exit with error on config leak

On Sat, May 2, 2020 at 6:55 AM Siddharth Gupta <[email protected]> wrote:
>
> Misuse of CONFIG_* in UAPI headers should result in an error as it exposes
> configuration of different targets to userspace.
>
> Signed-off-by: Siddharth Gupta <[email protected]>
> ---
> scripts/headers_install.sh | 3 ++-
> 1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/scripts/headers_install.sh b/scripts/headers_install.sh
> index a07668a..bd6c93a 100755
> --- a/scripts/headers_install.sh
> +++ b/scripts/headers_install.sh
> @@ -109,7 +109,8 @@ do
> done
>
> if [ "$warn" = 1 ]; then
> - echo "warning: $INFILE: leak $c to user-space" >&2
> + echo "error: $INFILE: leak $c to user-space" >&2
> + exit 1
> fi
> done


If you want to change this,
please update the comment at line 67.

Also, rename the variable $warn to
something else, $error or $leak_error, etc. ?



--
Best Regards
Masahiro Yamada

2020-05-03 03:33:51

by Siddharth Gupta

[permalink] [raw]
Subject: Re: [PATCH] scripts: headers_install: Exit with error on config leak

Sure I will make the recommended changes and send a v2 of the patch.

Thanks,
Siddharth

On 5/2/2020 8:03 AM, Masahiro Yamada wrote:
> On Sat, May 2, 2020 at 6:55 AM Siddharth Gupta <[email protected]> wrote:
>> Misuse of CONFIG_* in UAPI headers should result in an error as it exposes
>> configuration of different targets to userspace.
>>
>> Signed-off-by: Siddharth Gupta <[email protected]>
>> ---
>> scripts/headers_install.sh | 3 ++-
>> 1 file changed, 2 insertions(+), 1 deletion(-)
>>
>> diff --git a/scripts/headers_install.sh b/scripts/headers_install.sh
>> index a07668a..bd6c93a 100755
>> --- a/scripts/headers_install.sh
>> +++ b/scripts/headers_install.sh
>> @@ -109,7 +109,8 @@ do
>> done
>>
>> if [ "$warn" = 1 ]; then
>> - echo "warning: $INFILE: leak $c to user-space" >&2
>> + echo "error: $INFILE: leak $c to user-space" >&2
>> + exit 1
>> fi
>> done
>
> If you want to change this,
> please update the comment at line 67.
>
> Also, rename the variable $warn to
> something else, $error or $leak_error, etc. ?
>
>
>